org.wildfly.swarm.config.messaging.activemq.server

## Class CoreAddress<T extends CoreAddress<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.CoreAddress<T>

-     public class CoreAddress<T extends CoreAddress<T>>
      extends Object

  A runtime-only resource representing a ActiveMQ "address". Zero or more queues can be bound to a single address. When a message is routed, it is routed to the set of queues bound to the message's address.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CoreAddress.CoreAddressResources` Child mutators for CoreAddress

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoreAddress(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `bindingName(String value)` The names of all bindings (both queues and diverts) bound to this address.
    `List<String>` | `bindingNames()` The names of all bindings (both queues and diverts) bound to this address.
    `T` | `bindingNames(List<String> value)` The names of all bindings (both queues and diverts) bound to this address.
    `T` | `bindingNames(String... args)` The names of all bindings (both queues and diverts) bound to this address.
    `String` | `getKey()`
    `Long` | `numberOfBytesPerPage()` The number of bytes used by each page for this address.
    `T` | `numberOfBytesPerPage(Long value)` The number of bytes used by each page for this address.
    `Integer` | `numberOfPages()` The number of pages used by this address.
    `T` | `numberOfPages(Integer value)` The number of pages used by this address.
    `T` | `queueName(String value)` The names of the queues associated with the address.
    `List<String>` | `queueNames()` The names of the queues associated with the address.
    `T` | `queueNames(List<String> value)` The names of the queues associated with the address.
    `T` | `queueNames(String... args)` The names of the queues associated with the address.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `role(Role value)` Add the Role object to the list of subresources
    `T` | `role(RoleSupplier supplier)` Install a supplied Role object to the list of subresources
    `T` | `role(String childKey)` Create and configure a Role object to the list of subresources
    `T` | `role(String childKey, RoleConsumer consumer)` Create and configure a Role object to the list of subresources
    `T` | `roles(List<Role> value)` Add all Role objects to this subresource
    `CoreAddress.CoreAddressResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoreAddress

          public CoreAddress(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public CoreAddress.CoreAddressResources subresources()

    - #### roles

          public T roles(List<Role> value)

      Add all Role objects to this subresource
      Parameters:
        `value` - List of Role objects.
      Returns:
        this

    - #### role

          public T role(Role value)

      Add the Role object to the list of subresources
      Parameters:
        `value` - The Role to add
      Returns:
        this

    - #### role

          public T role(String childKey,
                        RoleConsumer consumer)

      Create and configure a Role object to the list of subresources
      Parameters:
        `key` - The key for the Role resource
        `config` - The RoleConsumer to use
      Returns:
        this

    - #### role

          public T role(String childKey)

      Create and configure a Role object to the list of subresources
      Parameters:
        `key` - The key for the Role resource
      Returns:
        this

    - #### role

          public T role(RoleSupplier supplier)

      Install a supplied Role object to the list of subresources

    - #### bindingNames

          public List<String> bindingNames()

      The names of all bindings (both queues and diverts) bound to this address.

    - #### bindingNames

          public T bindingNames(List<String> value)

      The names of all bindings (both queues and diverts) bound to this address.

    - #### bindingName

          public T bindingName(String value)

      The names of all bindings (both queues and diverts) bound to this address.

    - #### bindingNames

          public T bindingNames(String... args)

      The names of all bindings (both queues and diverts) bound to this address.

    - #### numberOfBytesPerPage

          public Long numberOfBytesPerPage()

      The number of bytes used by each page for this address.

    - #### numberOfBytesPerPage

          public T numberOfBytesPerPage(Long value)

      The number of bytes used by each page for this address.

    - #### numberOfPages

          public Integer numberOfPages()

      The number of pages used by this address.

    - #### numberOfPages

          public T numberOfPages(Integer value)

      The number of pages used by this address.

    - #### queueNames

          public List<String> queueNames()

      The names of the queues associated with the address.

    - #### queueNames

          public T queueNames(List<String> value)

      The names of the queues associated with the address.

    - #### queueName

          public T queueName(String value)

      The names of the queues associated with the address.

    - #### queueNames

          public T queueNames(String... args)

      The names of the queues associated with the address.

Copyright © 2018 JBoss by Red Hat. All rights reserved.